Package org.eclipse.net4j.db.ddl

# Enum Class IDBSchemaElement.SchemaElementType

java.lang.Object
java.lang.Enum<IDBSchemaElement.SchemaElementType>
org.eclipse.net4j.db.ddl.IDBSchemaElement.SchemaElementType

All Implemented Interfaces:
  `Serializable`, `Comparable<IDBSchemaElement.SchemaElementType>`, `Constable`

Enclosing interface:
  `IDBSchemaElement`

public static enum IDBSchemaElement.SchemaElementType extends Enum<IDBSchemaElement.SchemaElementType>

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIELD`
`INDEX`
`INDEX_FIELD`
`SCHEMA`
`TABLE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLevel()`
`static IDBSchemaElement.SchemaElementType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBSchemaElement.SchemaElementType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SCHEMA

public static final IDBSchemaElement.SchemaElementType SCHEMA

### TABLE

public static final IDBSchemaElement.SchemaElementType TABLE

### FIELD

public static final IDBSchemaElement.SchemaElementType FIELD

### INDEX

public static final IDBSchemaElement.SchemaElementType INDEX

### INDEX_FIELD

public static final IDBSchemaElement.SchemaElementType INDEX_FIELD

## Method Details

### values

public static IDBSchemaElement.SchemaElementType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDBSchemaElement.SchemaElementType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLevel

public int getLevel()